Skip to main content

Create Job

POST 

/projects/:projectId/providers/Aruba.Schedule/jobs

Create Job

Request

Path Parameters

    projectId stringrequired

    unique identifier of the project CMP

Query Parameters

    api-version string

    The requested API version

    Default value: 1

Body

the schedule to create

    metadata

    object

    Metadata of the resource

    namestring

    Name of the resource

    location

    object

    Contains information about the Region of a resource

    valuestring

    Value of the region in which the resource will be located. Available regions at present:

    • ITBG-Bergamo

    For more information, check the documentation.

    tagsstring[]nullable

    List of tags for the resource

    properties

    object

    Properties required to configure and schedule a job.

    enabledboolean

    Defines whether the job is enabled. Default is true.

    scheduleJobTypeTypeScheduleJob (string)

    For more information, check the documentation.

    Possible values: [OneShot, Recurring]

    scheduleAtdate-timenullable

    Date and time when the job should run. Required only for "OneShot" jobs.

    For more information, check the documentation.

    executeUntildate-timenullable

    End date until which the job can run. Required only for "Recurring" jobs.

    For more information, check the documentation.

    cronstringnullable

    CRON expression that defines the recurrence of the job.

    For more information, check the documentation.

    steps

    object[]

    nullable

    Step that will be executed as part of the scheduled job.

  • Array [

  • namestringnullable

    Descriptive name of the step.

    For more information, check the documentation.

    resourceUristring

    URI of the resource on which the action will be performed.

    actionUristring

    URI of the action to execute on the resource.

    For more information, check the documentation.

    httpVerbstring

    HTTP verb to be used for the action (e.g., GET, POST, PUT, DELETE).

    For more information, check the documentation.

    bodystringnullable

    Optional HTTP request body to send with the action.

    For more information, check the documentation.

  • ]

Responses

Created

Schema

    metadata

    object

    idstringnullable
    uristringnullable
    namestringnullable

    project

    object

    idstringnullable
    folderIdstringnullable
    tagsstring[]nullable

    category

    object

    namestringnullable
    providerstringnullable

    typology

    object

    idstringnullable
    namestringnullable
    creationDatedate-timenullable
    createdBystringnullable
    ownerIdstringnullable
    updateDatedate-timenullable
    updatedBystringnullable
    versionstringnullable
    createdUserstringnullable
    updatedUserstringnullable
    managedBystringnullable

    status

    object

    statestringnullable
    creationDatedate-timenullable
    failureReasonstringnullable

    error

    object

    reasonstringnullable
    messagestringnullable

    properties

    object

    enabledboolean
    scheduleJobTypeTypeScheduleJob (string)

    Possible values: [OneShot, Recurring]

    scheduleAtdate-timenullable
    executeUntildate-timenullable
    cronstringnullable
    recurrencyRecurrenceType (string)

    Possible values: [Hourly, Daily, Weekly, Monthly, Custom]

    steps

    object[]

    nullable

  • Array [

  • namestringnullable
    resourceUristringnullable
    actionUristringnullable
    actionNamestringnullable
    typologystringnullable
    typologyNamestringnullable
    httpVerbstringnullable
    bodystringnullable
  • ]

  • nextExecutiondate-timenullable
    deactiveReasonDeactiveReasonDto (string)

    Possible values: [None, Manual, ResourceDeleted]